petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSComputeRHSFunction

Evaluates the right-hand-side function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunction(TS ts,PetscReal t,Vec U,Vec y)

Collective on TS

### Input Parameters

| ts | - the TS context
| t | - current time
| U | - state vector

### Output Parameter

y -right hand side

### Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

### See Also

TSSetRHSFunction(), TSComputeIFunction()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages